#-----------------------------------------------------------------------------
#                            CarthaGene
#
# Martin Bouchez, Patrick Chabrier, Christine Gaspin and Thomas Schiex. 
# Unite de Biometrie et Intelligence Artificielle, Toulouse, France
#
#  Copyright (C) 1997 INRA (Institut National de la Recherche Agronomique).
#
# init.tcl,v 1.7 2005/01/13 13:31:58 chabrier Exp
#
#    This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
# Module        : cgscript
# Projet        : CartaGene
#
# Description : provide tcl package + to introduce
#
# Divers : 
#-----------------------------------------------------------------------------
#-INRA---------------------Station de Biomtrie et d'Intelligence Artificielle
#-----------------------------------------------------------------------------
package require CarthaGene 1.2
#
package provide CGsh 1.2
# to make easier to use, to make the commands visible
namespace inscope CG namespace export *
# to use without prefix
namespace import ::CG::*
# wrapped
namespace forget ::CG::dsload
namespace forget ::CG::greedy
#
# to introduce and plut the standard disclaimer
#
cgversion
#
# to watch the state of the graphical configuration
#
global CGWhaschanged
set CGWhaschanged 0
