lappend auto_path [file dirname [file dirname [info script]]]

package require CGsh
if { [llength $argv] == 1 } {
        source [lindex $argv 0]
} else {
        if [catch {package require tclreadline}] {
                if [catch {package require Tclx}] {
                        puts "Unable to start shell mode. You need either `tclreadline' or `tclx' to use this mode."
                } else {
                        puts "Using `tclx' to handle shell mode. You need `tclreadline' to use command history."
			# workaround lazy loading of CGsh package (native.tcl/contrib.tcl scripts)
			dsload -h
                        commandloop -prompt1 {puts -nonewline "CG> "}
                }
        } else {
                proc ::tclreadline::prompt1 {} {
                        return "CG> "
                }

		# workaround lazy loading of CGsh package (native.tcl/contrib.tcl scripts)
		dsload -h

                foreach cmd [info commands ::CG::*] {
                        ::tclreadline::readline add [$cmd -u]
                }

                ::tclreadline::Loop
        }
}

